public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/obs-studio/
Date: Fri,  1 Apr 2022 19:43:46 +0000 (UTC)	[thread overview]
Message-ID: <1648842171.372fc496595364f1192b37587826a3da04458705.ionen@gentoo> (raw)

commit:     372fc496595364f1192b37587826a3da04458705
Author:     Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  1 18:15:27 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Apr  1 19:42:51 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=372fc496

media-video/obs-studio: add version 27.2.4

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Jimi Huotari <chiitoo <AT> gentoo.org>
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 media-video/obs-studio/Manifest                 |   1 +
 media-video/obs-studio/obs-studio-27.2.4.ebuild | 204 ++++++++++++++++++++++++
 2 files changed, 205 insertions(+)

diff --git a/media-video/obs-studio/Manifest b/media-video/obs-studio/Manifest
index 70347bbe0455..e6d41f708a76 100644
--- a/media-video/obs-studio/Manifest
+++ b/media-video/obs-studio/Manifest
@@ -4,3 +4,4 @@ DIST obs-browser-915761778ec1eae99e740ad4bf63b40db3142ee2.tar.gz 100021 BLAKE2B
 DIST obs-browser-aee43000bd994022cd73e32dc50938ab777d4a06.tar.gz 89603 BLAKE2B a51b92f829ecb7055dcf969d6d5bdc4632b51288f0bc7e2ab66fda087da608869ddffccda83aa925f049c79e745a6f67e70ec72303184b970f5009fe37b34054 SHA512 8159ca02b5c30d2733ce8e566f21d6b77d6b7beabd0a5898049ee83b0b4d720b967fc55fcf876cd772fdaa12ca08163a0f8cabf249a9b3b6eb56b7666d1192c7
 DIST obs-studio-27.1.3.tar.gz 15994678 BLAKE2B 5544a1ecdb04dca7f6422936ea5499a206b4beb8e5332605c18cd72a91ce73aa74ff06c49a106931822c1c413ee94d383942f173a71f2b21168a00495b4e301f SHA512 04c11c79e3b091aa9ea8fc6674c9fbcaa1c924fe049f68e9be63f63724c31305d6e4fb33aecdd4d0095d20013e2ee188983f6938b175257368d2260681c2fb39
 DIST obs-studio-27.2.3.tar.gz 16383685 BLAKE2B 76802ba67dcebccabd9b2a1f09f505a4aea83887b445093c51a2c7a49fbaa064549b6212bd1b2f3200674a78349b2de4bfa54d14871c76be248cd62139d98a56 SHA512 c34e850e1a83e55aed952611257446a39d7ba4456b94f74d91c85d09d77361af2f76848f7d3f3d8ba7ae76c926129adad555e2f54d632658832596d0f2696a3c
+DIST obs-studio-27.2.4.tar.gz 16385399 BLAKE2B 00c05ecd055d707b7132ca4b20e1c4946b682c0f79f1477167ae55aba3ec367c97b05aac190b07260f936e68f79f2d58e19dcc0602f70408f4c056eb733a6fdd SHA512 575341dd3d9240b21881517a16d01ca11f833e08b40ca7990f0360b4cd1076e8217a9bb8dddf174eca5429e6eadaadb6cfdbd61d24e0eb13ebeaa7f29cfad8bf

diff --git a/media-video/obs-studio/obs-studio-27.2.4.ebuild b/media-video/obs-studio/obs-studio-27.2.4.ebuild
new file mode 100644
index 000000000000..b9550e6de3df
--- /dev/null
+++ b/media-video/obs-studio/obs-studio-27.2.4.ebuild
@@ -0,0 +1,204 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CMAKE_REMOVE_MODULES_LIST=( FindFreetype )
+LUA_COMPAT=( luajit )
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit cmake lua-single python-single-r1 xdg
+
+OBS_BROWSER_COMMIT="915761778ec1eae99e740ad4bf63b40db3142ee2"
+CEF_DIR="cef_binary_4638_linux64"
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/obsproject/obs-studio.git"
+	EGIT_SUBMODULES=( plugins/obs-browser )
+else
+	SRC_URI="https://github.com/obsproject/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	SRC_URI+=" browser? ( https://github.com/obsproject/obs-browser/archive/${OBS_BROWSER_COMMIT}.tar.gz -> obs-browser-${OBS_BROWSER_COMMIT}.tar.gz )"
+	KEYWORDS="~amd64 ~ppc64 ~x86"
+fi
+SRC_URI+=" browser? ( https://cdn-fastly.obsproject.com/downloads/${CEF_DIR}.tar.bz2 )"
+
+DESCRIPTION="Software for Recording and Streaming Live Video Content"
+HOMEPAGE="https://obsproject.com"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="
+	+alsa browser decklink fdk jack lua nvenc pipewire
+	pulseaudio python speex +ssl truetype v4l vlc wayland
+"
+REQUIRED_USE="
+	browser? ( || ( alsa pulseaudio ) )
+	lua? ( ${LUA_REQUIRED_USE} )
+	python? ( ${PYTHON_REQUIRED_USE} )
+"
+
+BDEPEND="
+	lua? ( dev-lang/swig )
+	python? ( dev-lang/swig )
+"
+DEPEND="
+	dev-libs/glib:2
+	dev-libs/jansson:=
+	dev-qt/qtcore:5
+	dev-qt/qtdeclarative:5
+	dev-qt/qtgui:5[wayland?]
+	dev-qt/qtmultimedia:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtquickcontrols:5
+	dev-qt/qtsql:5
+	dev-qt/qtsvg:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtx11extras:5
+	dev-qt/qtxml:5
+	media-libs/libglvnd
+	media-libs/x264:=
+	media-video/ffmpeg:=[nvenc?,x264]
+	net-misc/curl
+	sys-apps/dbus
+	sys-apps/pciutils
+	sys-libs/zlib:=
+	virtual/udev
+	x11-libs/libX11
+	x11-libs/libXcomposite
+	x11-libs/libXfixes
+	x11-libs/libXinerama
+	x11-libs/libXrandr
+	x11-libs/libxcb:=
+	alsa? ( media-libs/alsa-lib )
+	browser? (
+		app-accessibility/at-spi2-atk
+		app-accessibility/at-spi2-core:2
+		dev-libs/atk
+		dev-libs/expat
+		dev-libs/glib
+		dev-libs/nspr
+		dev-libs/nss
+		media-libs/alsa-lib
+		media-libs/fontconfig
+		media-libs/mesa[gbm(+)]
+		net-print/cups
+		x11-libs/cairo
+		x11-libs/libdrm
+		x11-libs/libXScrnSaver
+		x11-libs/libXcursor
+		x11-libs/libXdamage
+		x11-libs/libXext
+		x11-libs/libXi
+		x11-libs/libXrender
+		x11-libs/libXtst
+	)
+	fdk? ( media-libs/fdk-aac:= )
+	jack? ( virtual/jack )
+	lua? ( ${LUA_DEPS} )
+	pipewire? ( media-video/pipewire:= )
+	pulseaudio? ( media-sound/pulseaudio )
+	python? ( ${PYTHON_DEPS} )
+	speex? ( media-libs/speexdsp )
+	ssl? ( net-libs/mbedtls:= )
+	truetype? (
+		media-libs/fontconfig
+		media-libs/freetype
+	)
+	v4l? ( media-libs/libv4l )
+	vlc? ( media-video/vlc:= )
+	wayland? ( dev-libs/wayland )
+"
+RDEPEND="${DEPEND}"
+
+QA_PREBUILT="
+	usr/lib*/obs-plugins/chrome-sandbox
+	usr/lib*/obs-plugins/libcef.so
+	usr/lib*/obs-plugins/libEGL.so
+	usr/lib*/obs-plugins/libGLESv2.so
+	usr/lib*/obs-plugins/libvk_swiftshader.so
+	usr/lib*/obs-plugins/libvulkan.so.1
+	usr/lib*/obs-plugins/swiftshader/libEGL.so
+	usr/lib*/obs-plugins/swiftshader/libGLESv2.so
+"
+
+pkg_setup() {
+	use lua && lua-single_pkg_setup
+	use python && python-single-r1_pkg_setup
+}
+
+src_unpack() {
+	default
+
+	if [[ ${PV} == 9999 ]]; then
+		git-r3_src_unpack
+	elif use browser; then
+		rm -d ${P}/plugins/obs-browser || die
+		mv obs-browser-${OBS_BROWSER_COMMIT} ${P}/plugins/obs-browser || die
+	fi
+}
+
+src_configure() {
+	local libdir=$(get_libdir)
+	local mycmakeargs=(
+		$(usev browser -DCEF_ROOT_DIR=../${CEF_DIR})
+		-DBUILD_BROWSER=$(usex browser)
+		-DBUILD_VST=no
+		-DENABLE_WAYLAND=$(usex wayland)
+		-DDISABLE_ALSA=$(usex !alsa)
+		-DDISABLE_DECKLINK=$(usex !decklink)
+		-DDISABLE_FREETYPE=$(usex !truetype)
+		-DDISABLE_JACK=$(usex !jack)
+		-DDISABLE_LIBFDK=$(usex !fdk)
+		-DENABLE_PIPEWIRE=$(usex pipewire)
+		-DDISABLE_PULSEAUDIO=$(usex !pulseaudio)
+		-DDISABLE_SPEEXDSP=$(usex !speex)
+		-DDISABLE_V4L2=$(usex !v4l)
+		-DDISABLE_VLC=$(usex !vlc)
+		-DOBS_MULTIARCH_SUFFIX=${libdir#lib}
+		-DUNIX_STRUCTURE=1
+		-DWITH_RTMPS=$(usex ssl)
+
+		# deprecated and currently cause issues
+		# https://github.com/obsproject/obs-studio/pull/4560#issuecomment-826345608
+		-DLIBOBS_PREFER_IMAGEMAGICK=no
+	)
+
+	if [[ ${PV} != 9999 ]]; then
+		mycmakeargs+=(
+			-DOBS_VERSION_OVERRIDE=${PV}
+		)
+	fi
+
+	if use lua || use python; then
+		mycmakeargs+=(
+			-DDISABLE_LUA=$(usex !lua)
+			-DDISABLE_PYTHON=$(usex !python)
+			-DENABLE_SCRIPTING=yes
+		)
+	else
+		mycmakeargs+=( -DENABLE_SCRIPTING=no )
+	fi
+
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	# external plugins may need some things not installed by default, install them here
+	insinto /usr/include/obs/UI/obs-frontend-api
+	doins UI/obs-frontend-api/obs-frontend-api.h
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	if ! use alsa && ! use pulseaudio; then
+		elog
+		elog "For the audio capture features to be available,"
+		elog "either the 'alsa' or the 'pulseaudio' USE-flag needs to"
+		elog "be enabled."
+		elog
+	fi
+}


             reply	other threads:[~2022-04-01 19:43 UTC|newest]

Thread overview: 163+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-01 19:43 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-08  0:38 [gentoo-commits] repo/gentoo:master commit in: media-video/obs-studio/ Jimi Huotari
2025-03-08  0:38 Jimi Huotari
2025-02-11 20:25 Jimi Huotari
2025-02-11 20:25 Jimi Huotari
2025-01-16 23:05 Jimi Huotari
2025-01-16 22:12 Jimi Huotari
2025-01-07 19:54 Sam James
2024-12-30 17:38 Jimi Huotari
2024-12-13 22:06 Jimi Huotari
2024-12-13 22:06 Jimi Huotari
2024-12-07 13:40 Jimi Huotari
2024-12-07 13:40 Jimi Huotari
2024-08-28 18:36 Jimi Huotari
2024-08-22  6:50 Jimi Huotari
2024-08-22  5:58 Jimi Huotari
2024-08-22  5:58 Jimi Huotari
2024-07-23 14:59 Jimi Huotari
2024-07-13 11:38 Jimi Huotari
2024-07-13 11:38 Jimi Huotari
2024-07-13  0:05 Jimi Huotari
2024-06-22 15:39 Jimi Huotari
2024-06-22 15:39 Jimi Huotari
2024-06-22 15:39 Jimi Huotari
2024-04-04 19:55 Jimi Huotari
2024-04-04 19:55 Jimi Huotari
2024-04-04 19:44 Jimi Huotari
2024-03-20 21:30 Jimi Huotari
2024-03-07 19:55 Andrew Ammerlaan
2024-01-31  7:18 Joonas Niilola
2023-12-28  2:57 Sam James
2023-12-16 20:56 Jimi Huotari
2023-12-16 20:56 Jimi Huotari
2023-11-24 15:52 Jimi Huotari
2023-10-21 19:18 Jimi Huotari
2023-10-05 19:34 Mart Raudsepp
2023-07-26 17:41 Jimi Huotari
2023-07-26 17:41 Jimi Huotari
2023-07-25 14:53 Jimi Huotari
2023-07-17 21:45 Jimi Huotari
2023-07-17 21:45 Jimi Huotari
2023-06-19 14:05 Jimi Huotari
2023-06-19 14:05 Jimi Huotari
2023-06-19 14:05 Jimi Huotari
2023-05-29 18:08 Jimi Huotari
2023-05-29 18:08 Jimi Huotari
2023-05-29 18:08 Jimi Huotari
2023-05-09 19:08 Jimi Huotari
2023-05-09 19:08 Jimi Huotari
2023-05-06 11:00 Jimi Huotari
2023-05-06 11:00 Jimi Huotari
2023-05-06 11:00 Jimi Huotari
2023-02-06  4:21 Jimi Huotari
2023-02-06  4:21 Jimi Huotari
2023-01-11 13:04 Jimi Huotari
2023-01-11 13:04 Jimi Huotari
2023-01-10 21:28 Jimi Huotari
2023-01-10 21:28 Jimi Huotari
2022-11-23  1:45 Sam James
2022-11-12  6:14 Sam James
2022-11-08 16:20 Jimi Huotari
2022-11-08 16:20 Jimi Huotari
2022-11-08 16:20 Jimi Huotari
2022-04-25 20:19 Ionen Wolkens
2022-04-25 20:19 Ionen Wolkens
2022-04-25 20:19 Ionen Wolkens
2022-03-13 11:43 David Seifert
2022-03-04 18:14 Ionen Wolkens
2022-03-04 18:14 Ionen Wolkens
2022-02-23  1:39 Ionen Wolkens
2022-02-23  1:39 Ionen Wolkens
2022-02-23  1:39 Ionen Wolkens
2022-02-17  1:06 Ionen Wolkens
2022-02-17  1:06 Ionen Wolkens
2022-02-17  1:06 Ionen Wolkens
2022-01-22  0:34 Ionen Wolkens
2021-10-26 22:02 Ionen Wolkens
2021-10-26 22:02 Ionen Wolkens
2021-10-08  2:29 Ionen Wolkens
2021-10-08  2:29 Ionen Wolkens
2021-10-02 23:58 Ionen Wolkens
2021-10-02 23:58 Ionen Wolkens
2021-09-25 19:08 Sam James
2021-07-01 16:57 Ionen Wolkens
2021-07-01 16:57 Ionen Wolkens
2021-07-01 16:57 Ionen Wolkens
2021-07-01 16:57 Ionen Wolkens
2021-05-07 21:23 Andreas Sturmlechner
2021-05-07 21:23 Andreas Sturmlechner
2021-01-31 15:16 Andreas Sturmlechner
2020-12-22 20:06 Rick Farina
2020-12-22 19:45 Rick Farina
2020-12-16  6:08 Sam James
2020-12-04  3:16 Rick Farina
2020-08-10 20:55 Lars Wendler
2020-07-27 16:40 Sam James
2020-05-19 18:11 Georgy Yakovlev
2020-05-19 18:11 Georgy Yakovlev
2020-05-14 15:57 Rick Farina
2020-05-10 11:42 Andreas Sturmlechner
2020-05-04 13:39 Rick Farina
2020-05-02 11:31 Andreas Sturmlechner
2020-05-02 11:31 Andreas Sturmlechner
2020-04-03 20:35 Andreas Sturmlechner
2020-04-03 20:35 Andreas Sturmlechner
2020-03-24 17:54 Rick Farina
2020-03-19 16:01 Rick Farina
2020-02-26 15:25 Ben Kohler
2019-12-26 21:11 Andreas Sturmlechner
2019-12-26 21:11 Andreas Sturmlechner
2019-11-03 17:19 Andreas Sturmlechner
2019-11-03 17:19 Andreas Sturmlechner
2019-11-03 17:19 Andreas Sturmlechner
2019-06-22 11:44 Andreas Sturmlechner
2019-05-08 22:56 Andreas Sturmlechner
2019-05-08 22:56 Andreas Sturmlechner
2019-04-06 20:34 Andreas Sturmlechner
2019-04-06 20:34 Andreas Sturmlechner
2019-04-06 20:34 Andreas Sturmlechner
2019-02-28 22:49 Patrice Clement
2019-02-28 22:49 Patrice Clement
2018-12-03  2:43 Jonathan Callen
2018-11-13 20:33 Craig Andrews
2018-10-09 10:02 Andreas Sturmlechner
2018-10-04 14:31 Andreas Sturmlechner
2018-10-04 14:31 Andreas Sturmlechner
2018-10-04 14:31 Andreas Sturmlechner
2018-10-04 14:31 Andreas Sturmlechner
2018-10-04 14:31 Andreas Sturmlechner
2018-10-04 14:31 Andreas Sturmlechner
2018-10-04 14:31 Andreas Sturmlechner
2018-07-13  9:36 Tony Vroon
2018-07-13  9:36 Tony Vroon
2018-07-13  9:36 Tony Vroon
2018-07-13  9:36 Tony Vroon
2018-07-13  9:36 Tony Vroon
2018-03-25 21:59 Patrice Clement
2018-02-18 17:16 Patrice Clement
2018-02-18 17:16 Patrice Clement
2018-01-06  2:14 Andreas Sturmlechner
2018-01-06  2:14 Andreas Sturmlechner
2017-10-27 21:02 Patrice Clement
2017-10-27 21:02 Patrice Clement
2017-10-19 21:37 Jonas Stein
2017-10-11 21:23 Patrice Clement
2017-08-15  7:54 Patrice Clement
2017-08-15  7:54 Patrice Clement
2017-05-23 19:49 Michał Górny
2017-05-23 19:49 Michał Górny
2017-05-07 18:33 Michał Górny
2017-05-07 18:33 Michał Górny
2017-03-02 10:03 Michael Palimaka
2017-01-26 22:57 David Seifert
2017-01-26 22:57 David Seifert
2016-12-29 12:25 Michael Palimaka
2016-12-29 12:25 Michael Palimaka
2016-12-29 12:25 Michael Palimaka
2016-10-03 19:30 Patrice Clement
2016-10-03 19:30 Patrice Clement
2016-10-03 19:30 Patrice Clement
2016-08-14 19:39 Michael Palimaka
2016-07-17 13:33 Patrice Clement
2016-07-03 13:09 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1648842171.372fc496595364f1192b37587826a3da04458705.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox